clang-tools 8.0.0

Classes | Public Types | Public Member Functions | List of all members
clang::clangd::RefSlab Class Reference

`#include <Index.h>`

## Classes
class | Builder

## Public Types
using | value_type = std::pair< SymbolID, llvm::ArrayRef< Ref > >
using | const_iterator = std::vector< value_type >::const_iterator
using | iterator = const_iterator

## Public Member Functions
| RefSlab ()=default
| RefSlab (RefSlab &&Slab)=default
RefSlab & | operator= (RefSlab &&RHS)=default
const_iterator | begin () const
const_iterator | end () const
size_t | size () const
| Gets the number of symbols. More...
size_t | numRefs () const
bool | empty () const
size_t | bytes () const

## Detailed Description

Definition at line 388 of file Index.h.

## Member Typedef Documentation

## ◆ const_iterator

using clang::clangd::RefSlab::const_iterator = std::vector<value_type>::const_iterator

Definition at line 391 of file Index.h.

## ◆ iterator

using clang::clangd::RefSlab::iterator = const_iterator

Definition at line 392 of file Index.h.

## ◆ value_type

using clang::clangd::RefSlab::value_type = std::pair<SymbolID, llvm::ArrayRef<Ref> >

Definition at line 390 of file Index.h.

## Constructor & Destructor Documentation

## ◆ RefSlab() [1/2]

clang::clangd::RefSlab::RefSlab | ( |  | ) |
| default

## ◆ RefSlab() [2/2]

clang::clangd::RefSlab::RefSlab | ( | RefSlab && | Slab | ) |
| default

## Member Function Documentation

## ◆ begin()

const_iterator clang::clangd::RefSlab::begin | ( |  | ) | const
| inline

Definition at line 398 of file Index.h.

## ◆ bytes()

size_t clang::clangd::RefSlab::bytes | ( |  | ) | const
| inline

Definition at line 405 of file Index.h.

References Arena.

Referenced by clang::clangd::FileSymbols::buildIndex().

## ◆ empty()

bool clang::clangd::RefSlab::empty | ( |  | ) | const
| inline

Definition at line 403 of file Index.h.

## ◆ end()

const_iterator clang::clangd::RefSlab::end | ( |  | ) | const
| inline

Definition at line 399 of file Index.h.

## ◆ numRefs()

size_t clang::clangd::RefSlab::numRefs | ( |  | ) | const
| inline

Definition at line 402 of file Index.h.

## ◆ operator=()

RefSlab& clang::clangd::RefSlab::operator= | ( | RefSlab && | RHS | ) |
| default

## ◆ size()

size_t clang::clangd::RefSlab::size | ( |  | ) | const
| inline

Gets the number of symbols.

Definition at line 401 of file Index.h.

The documentation for this class was generated from the following file:

- Index.h